Bug 60530 - apropos/whatis scripts broken
apropos/whatis scripts broken
Product: Red Hat Raw Hide
Classification: Retired
Component: man (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-02-28 22:19 EST by Joseph Costanzo
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-28 22:21:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to apropos and Makefile.in for man package (1.17 KB, application/octet-stream)
2002-02-28 22:21 EST, Joseph Costanzo
no flags Details

  None (edit)
Description Joseph Costanzo 2002-02-28 22:19:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
apropos almost always returns "nothing appropriate". The whatis command has 
similar problems. The current code in apropos from man1.5j is broken, and the 
RedHat apropos script has an erroneous 'a' option to the aproposgetopt2 
variable (aproposgetopts1 is fine) which isn't in the original code nor is 
added by any of the patches in the latest source rpm man-1.5j-2.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. /usr/bin/apropos gzip
2. /usr/bin/apropos clock

Actual Results:
1. gzip: nothing appropriate
2. oclock (1x)          - round X clock
   xclock (1x)          - analog / digital clock for X

Expected Results:
1. gunzip [gzip]        (1)  - compress or expand files
   gzip                 (1)  - compress or expand files
   zcat [gzip]          (1)  - compress or expand files
   zforce               (1)  - force a '.gz' extension on all gzip files
2. adjtimex             (2)  - tune kernel clock
   alarm                (2)  - set an alarm clock for delivery of a signal
   clock                (3)  - Determine processor time
   clockdiff            (8)  - Measures clock difference between us and 
<destination> with 1msec resolution. Without -o option it uses icmp timestamps, 
with -o it uses icmp echo with timestamp IP option
   clock                (n)  - Obtain and manipulate time
   hwclock              (8)  - query and set the hardware clock (RTC)
   oclock               (1x)  - round X clock
   rclock (ouR CLOCK) [rclock] (1)  - clock and appointment reminder for X11
   xclock               (1x)  - analog / digital clock for X

Additional info:

I've made a patch to fix apropos and update it so it behaves like whatis when 
called with that basename. The patch installs whatis as a link to apropos.

I've submitted a similar patch to Andries Brouwer who maintains man, this patch 
adds fixes for the RedHat specific 'a' option to grep and searches for whatis 
only under /var/cache/man.

The patch obsoletes the files man-1.5j-nonascii.patch and man-1.5i2-
legacy.patch from the source rpm.
Comment 1 Joseph Costanzo 2002-02-28 22:21:20 EST
Created attachment 47040 [details]
patch to apropos and Makefile.in for man package
Comment 2 Bernhard Rosenkraenzer 2002-03-04 05:45:45 EST
Fixed in 1.5j-3

Note You need to log in before you can comment on or make changes to this bug.